# Contributing to ScheduleTogether

Thank you for your interest in contributing to ScheduleTogether! Even though this is originally a solo-developed project we still consider contributions to be extremely helpful in the success of this project, and we welcome all contributions that adhere to the following guidelines.

---

## **How to Contribute**

1. **Review the Contribution Guidelines**
   - Ensure that your contributions align with the goals and scope of the project.
   - All contributions must comply with the AGPL licensing of the project.

2. **Understand the Contributor License Agreements (CLAs)**
   - By submitting a contribution, you confirm that you have read and agree to the terms of the relevant CLA:
     - [Individual Contributor License Agreement (ICLA)](./ICLA.md) for individual contributors.
     - [Corporate Contributor License Agreement (CCLA)](./CCLA.md) for organizations contributing through employees or contractors.
   - For individual contributors: By making a contribution, you implicitly agree to the terms of the ICLA.
   - For corporate contributors: A signed CCLA is required before any contributions can be accepted. Please have your organization submit a completed agreement to contact@zervo.org.

3. **Choose Your Contribution Method**

    The primary source is hosted on our own Forgejo server. Why? We simply prefer it that way. That's it.
    However, to make contributing easier we have set up mirrors and alternative methods.
    
   - **Preferred Method: GitHub Pull Requests**
     - Fork the GitHub mirror of the repository (WILL ADD MIRROR SOON).
     - Create a new branch for your changes and commit your updates with clear, descriptive messages.
     - Open a pull request on GitHub with a detailed explanation of your changes and how they align with the project’s goals.
   - **Alternative Method: Email Patches**
     - Generate patches using `git format-patch` and send them to (WILL ADD ADDRESS SOON).
     - Include a clear description of your changes and their purpose in the email.


4. **Participate in Code Reviews**
   - Be responsive to feedback from maintainers and collaborators.
   - Address requested changes promptly and update your pull request as needed.

---

## **Code of Conduct**

All contributors must adhere to the project’s [Code of Conduct](./CODE_OF_CONDUCT.md). We are committed to fostering a welcoming and inclusive environment for everyone.

---

## **Need Help?**

If you have questions about contributing, licensing, or anything else, feel free to reach out to us at contact@zervo.org.

We look forward to your contributions and thank you for being part of ScheduleTogether!
